> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nordiska.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Initiate a credit limit increase for an engagement

> Initiates a credit limit increase request for the given engagement.
The request is created in PROCESSING and submitted for evaluation.



## OpenAPI

````yaml https://partner-card.test.public.rockerapi.dev/docs/docs.yaml post /api/engagements/card/{engagement-id}/credit-limit-increase
openapi: 3.1.0
info:
  title: Card
  version: '1.0'
servers:
  - url: https://partner-card.test.public.rockerapi.dev
security: []
paths:
  /api/engagements/card/{engagement-id}/credit-limit-increase:
    post:
      tags:
        - Card
      summary: Initiate a credit limit increase for an engagement
      description: |-
        Initiates a credit limit increase request for the given engagement.
        The request is created in PROCESSING and submitted for evaluation.
      operationId: InitiateCreditLimitIncrease
      parameters:
        - name: engagement-id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/HttpInitiateCreditLimitIncreaseRequest'
        required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInitiateCreditLimitIncreaseResponse'
        '400':
          description: >-
            Invalid value for: path parameter engagement-id, Invalid value for:
            body
          content:
            text/plain:
              schema:
                type: string
        default:
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpErrorBodyResponse'
      security:
        - httpAuth: []
components:
  schemas:
    HttpInitiateCreditLimitIncreaseRequest:
      title: HttpInitiateCreditLimitIncreaseRequest
      type: object
      required:
        - appliedAmount
        - reason
        - monthlyIncome
        - employmentType
        - redirectUrls
      properties:
        appliedAmount:
          description: Money object represented in the smallest currency unit
          type: object
          required:
            - amount
            - currency
            - unit
          properties:
            amount:
              type: integer
              format: int64
            currency:
              type: string
            unit:
              type: string
        reason:
          $ref: '#/components/schemas/HttpCreditLimitIncreaseReason'
        monthlyIncome:
          description: Money object represented in the smallest currency unit
          type: object
          required:
            - amount
            - currency
            - unit
          properties:
            amount:
              type: integer
              format: int64
            currency:
              type: string
            unit:
              type: string
        employmentType:
          $ref: '#/components/schemas/HttpEmploymentType'
        redirectUrls:
          $ref: '#/components/schemas/HttpRedirectUrls'
    HttpInitiateCreditLimitIncreaseResponse:
      title: HttpInitiateCreditLimitIncreaseResponse
      type: object
      required:
        - id
        - status
        - createdAt
      properties:
        id:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/HttpCreditLimitIncreaseStatus'
        createdAt:
          type: string
          format: date-time
    HttpErrorBodyResponse:
      title: HttpErrorBodyResponse
      type: object
      required:
        - code
        - message
      properties:
        code:
          type: string
        message:
          type: string
    HttpCreditLimitIncreaseReason:
      title: HttpCreditLimitIncreaseReason
      oneOf:
        - $ref: >-
            #/components/schemas/HttpCreditLimitIncreaseReasonConsolidateSpendingOnThisCard
        - $ref: >-
            #/components/schemas/HttpCreditLimitIncreaseReasonCurrentLimitDoesNotCoverRecurringExpenses
        - $ref: '#/components/schemas/HttpCreditLimitIncreaseReasonIncomeHasIncreased'
        - $ref: >-
            #/components/schemas/HttpCreditLimitIncreaseReasonIncreasedNeedForFinancialFlexibility
        - $ref: >-
            #/components/schemas/HttpCreditLimitIncreaseReasonLimitNotSufficientForTemporarilyHigherExpenses
        - $ref: '#/components/schemas/HttpCreditLimitIncreaseReasonOther'
      discriminator:
        propertyName: reasonType
        mapping:
          CONSOLIDATE_SPENDING_ON_THIS_CARD: com.rocker.card.porsche.api.model.ConsolidateSpendingOnThisCard
          CURRENT_LIMIT_DOES_NOT_COVER_RECURRING_EXPENSES: >-
            com.rocker.card.porsche.api.model.CurrentLimitDoesNotCoverRecurringExpenses
          INCOME_HAS_INCREASED: com.rocker.card.porsche.api.model.IncomeHasIncreased
          INCREASED_NEED_FOR_FINANCIAL_FLEXIBILITY: >-
            com.rocker.card.porsche.api.model.IncreasedNeedForFinancialFlexibility
          LIMIT_NOT_SUFFICIENT_FOR_TEMPORARILY_HIGHER_EXPENSES: >-
            com.rocker.card.porsche.api.model.LimitNotSufficientForTemporarilyHigherExpenses
          OTHER: >-
            com.rocker.card.porsche.api.model.HttpCreditLimitIncreaseReason.Other
    HttpEmploymentType:
      title: HttpEmploymentType
      type: string
      enum:
        - PERMANENT
        - SOLE_PROPRIETOR
        - RETIRED
        - STUDENT
        - HOMEMAKER
        - OTHER
    HttpRedirectUrls:
      title: HttpRedirectUrls
      type: object
      required:
        - successUrl
        - failUrl
      properties:
        successUrl:
          examples:
            - https://example.com
          type: string
        failUrl:
          examples:
            - https://example.com
          type: string
    HttpCreditLimitIncreaseStatus:
      title: HttpCreditLimitIncreaseStatus
      type: string
      enum:
        - PROCESSING
        - AWAITING_DOCUMENTS
        - AWAITING_DOCUMENT_REVIEW
        - AWAITING_SIGNING
        - FINALIZING
        - COMPLETED
        - REJECTED
        - FAILED
    HttpCreditLimitIncreaseReasonConsolidateSpendingOnThisCard:
      title: HttpCreditLimitIncreaseReasonConsolidateSpendingOnThisCard
      type: object
      required:
        - reasonType
      properties:
        reasonType:
          type: string
          const: CONSOLIDATE_SPENDING_ON_THIS_CARD
    HttpCreditLimitIncreaseReasonCurrentLimitDoesNotCoverRecurringExpenses:
      title: HttpCreditLimitIncreaseReasonCurrentLimitDoesNotCoverRecurringExpenses
      type: object
      required:
        - reasonType
      properties:
        reasonType:
          type: string
          const: CURRENT_LIMIT_DOES_NOT_COVER_RECURRING_EXPENSES
    HttpCreditLimitIncreaseReasonIncomeHasIncreased:
      title: HttpCreditLimitIncreaseReasonIncomeHasIncreased
      type: object
      required:
        - reasonType
      properties:
        reasonType:
          type: string
          const: INCOME_HAS_INCREASED
    HttpCreditLimitIncreaseReasonIncreasedNeedForFinancialFlexibility:
      title: HttpCreditLimitIncreaseReasonIncreasedNeedForFinancialFlexibility
      type: object
      required:
        - reasonType
      properties:
        reasonType:
          type: string
          const: INCREASED_NEED_FOR_FINANCIAL_FLEXIBILITY
    HttpCreditLimitIncreaseReasonLimitNotSufficientForTemporarilyHigherExpenses:
      title: >-
        HttpCreditLimitIncreaseReasonLimitNotSufficientForTemporarilyHigherExpenses
      type: object
      required:
        - reasonType
      properties:
        reasonType:
          type: string
          const: LIMIT_NOT_SUFFICIENT_FOR_TEMPORARILY_HIGHER_EXPENSES
    HttpCreditLimitIncreaseReasonOther:
      title: HttpCreditLimitIncreaseReasonOther
      type: object
      required:
        - description
        - reasonType
      properties:
        description:
          type: string
        reasonType:
          type: string
          const: OTHER
  securitySchemes:
    httpAuth:
      type: http
      scheme: basic

````